com.atlassian.clover.api.registry

## Interface BranchInfo

- All Superinterfaces:
    ElementInfo, HasParent, InstrumentationInfo, SourceInfo

      public interface BranchInfo
      extends ElementInfo, InstrumentationInfo, SourceInfo, HasParent

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getFalseHitCount()` Returns number of hits for the false condition branch.
    `int` | `getTrueHitCount()` Returns number of hits for the true condition branch.
    `boolean` | `isFiltered(ContextSet filter)`
    `boolean` | `isInstrumented()` Whether branch was instrumented or not (due to an assignment in the expression).

    - ### Methods inherited from interface com.atlassian.clover.api.registry.ElementInfo

      `getComplexity, getContext, getHitCount`

    - ### Methods inherited from interface com.atlassian.clover.api.registry.SourceInfo

      `getEndColumn, getEndLine, getStartColumn, getStartLine`

    - ### Methods inherited from interface com.atlassian.clover.api.registry.InstrumentationInfo

      `getDataIndex, getDataLength`

    - ### Methods inherited from interface com.atlassian.clover.api.registry.HasParent

      `getParent`

- - ### Method Detail

    - #### isFiltered

          boolean isFiltered(ContextSet filter)

      Parameters:
        `filter` - the `ContextSet` whereby Contexts to be filtered out are set to 1, and preserved contexts are 0.
      Returns:
        `true` if this element info is filtered out. i.e. excluded

    - #### getTrueHitCount

          int getTrueHitCount()

      Returns number of hits for the true condition branch.
      Returns:
        int hit count

    - #### getFalseHitCount

          int getFalseHitCount()

      Returns number of hits for the false condition branch.
      Returns:
        int hit count

    - #### isInstrumented

          boolean isInstrumented()

      Whether branch was instrumented or not (due to an assignment in the expression).
      Returns:
        boolean - true if instrumented, false otherwise